Bug 239261 - dns/knot-resolver: [patch] upgrade to 4.1.0
Summary: dns/knot-resolver: [patch] upgrade to 4.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://www.knot-resolver.cz/2019-07-...
Keywords:
: 237612 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-07-17 10:04 UTC by Leo Vandewoestijne
Modified: 2019-07-25 10:08 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
knot-resolver 4.1.0 (13.28 KB, text/plain)
2019-07-17 10:04 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2019-07-17 10:04:52 UTC
Created attachment 205836 [details]
knot-resolver 4.1.0

I wasn't familiar with meson at all, but now finaly I got a well-working port for knot-resolver 4.*.*
Comment 1 Leo Vandewoestijne 2019-07-17 10:09:11 UTC
Forgot to mention; it was tested in poudriere, agains 11.2 and 12.0 (both amd64 only).
Comment 2 Kurt Jaeger freebsd_committer 2019-07-20 21:35:50 UTC
testbuilds@work. The patch was somehow messed up, btw. Had to apply
it manually.
Comment 3 Kurt Jaeger freebsd_committer 2019-07-21 19:18:09 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-07-21 19:18:30 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 21 19:18:07 UTC 2019
New revision: 507063
URL: https://svnweb.freebsd.org/changeset/ports/507063

Log:
  dns/knot-resolver: upgrade 3.2.1 -> 4.1.0

  PR:		239261
  Submitted by:	freebsd@dns.company (maintainer)
  MFH:		2019Q3
  Relnotes:	https://www.knot-resolver.cz/2019-07-10-knot-resolver-4.1.0.html
  		https://www.knot-resolver.cz/2019-04-18-knot-resolver-4.0.0.html
  Security:	CVE-2019-10190, CVE-2019-10191

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/files/patch-Makefile
  head/dns/knot-resolver/files/pkg-message.in
  head/dns/knot-resolver/pkg-plist
Comment 5 Rodrigo Osorio freebsd_committer 2019-07-25 10:08:48 UTC
*** Bug 237612 has been marked as a duplicate of this bug. ***